import { NewNotification, Notification, Position } from './reducers/notifications/types';
export declare type NotificationConfig = {
    defaultProps: Partial<Notification>;
    customizeNotification: ((notification: NewNotification) => void) | null;
    generateId: ((notification: NewNotification) => string) | null;
};
export declare const CONFIG: NotificationConfig;
export declare const STATUSES: {
    none: 'none';
    info: 'info';
    success: 'success';
    loading: 'loading';
    warning: 'warning';
    error: 'error';
};
export declare const POSITIONS: {
    topCenter: 'top-center';
    topLeft: 'top-left';
    topRight: 'top-right';
    bottomCenter: 'bottom-center';
    bottomLeft: 'bottom-left';
    bottomRight: 'bottom-right';
};
export declare const classnames: {
    container: (position: Position, singleContainer: boolean) => string[];
    notification: (notification: Notification) => string[];
    notificationIcon: string;
    notificationImageContainer: string;
    notificationImage: string;
    notificationDismissIcon: string;
    notificationMeta: string;
    notificationTitle: string;
    notificationMessage: string;
    notificationButtons: string;
    notificationButton: string;
    notificationButtonText: string;
};
